%define majver %(echo %version | cut -d. -f1-2)

Name:          falkon
Version:       24.02.2
Release:       1mamba
Summary:       A KDE web browser using the QtWebEngine rendering engine
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org
Source:        https://download.kde.org/%{stable_kde6}/release-service/%{version}/src/falkon-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libglvnd-devel
BuildRequires: libgnome-keyring-devel
BuildRequires: libkf6-karchive-devel
BuildRequires: libkf6-kcompletion-devel
BuildRequires: libkf6-kconfig-devel
BuildRequires: libkf6-kcoreaddons-devel
BuildRequires: libkf6-kcrash-devel
BuildRequires: libkf6-kio-devel
BuildRequires: libkf6-kjobwidgets-devel
BuildRequires: libkf6-kservice-devel
BuildRequires: libkf6-kwallet-devel
BuildRequires: libkf6-kwidgetsaddons-devel
BuildRequires: libkf6-purpose-devel
BuildRequires: libkf6-solid-devel
BuildRequires: libopenssl-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxcb-devel
BuildRequires: qt6-qt5compat-devel
BuildRequires: qt6-qtbase-devel
BuildRequires: qt6-qtdeclarative-devel
BuildRequires: qt6-qtpositioning-devel
BuildRequires: qt6-qtwebchannel-devel
BuildRequires: qt6-qtwebengine-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: kf6-rpm-macros
BuildRequires: extra-cmake-modules
BuildRequires: qt5-qtbase-devel >= 5.15.7
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Falkon is a KDE web browser. It uses QtWebEngine rendering engine.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%find_lang %{name} --with-qt --with-man --with-html --all-name || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/falkon
%{_datadir}/applications/org.kde.falkon.desktop
%{_datadir}/metainfo/org.kde.falkon.appdata.xml
%{_datadir}/bash-completion/completions/falkon
%dir %{_datadir}/falkon
%dir %{_datadir}/falkon/themes
%dir %{_datadir}/falkon/themes/chrome
%{_datadir}/falkon/themes/chrome/*
%dir %{_datadir}/falkon/themes/linux
%{_datadir}/falkon/themes/linux/*
%dir %{_datadir}/falkon/themes/mac
%{_datadir}/falkon/themes/mac/*
%dir %{_datadir}/falkon/themes/windows
%{_datadir}/falkon/themes/windows/*
%{_datadir}/icons/hicolor/*/apps/falkon.png
%{_datadir}/icons/hicolor/scalable/apps/falkon.svg
%doc COPYING

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libFalkonPrivate.so.*
%dir %{_libdir}/qt6/plugins/falkon
%{_libdir}/qt6/plugins/falkon/*.so

%changelog
* Sat Apr 13 2024 Automatic Build System <autodist@openmamba.org> 24.02.2-1mamba
- automatic version update by autodist

* Thu Mar 21 2024 Automatic Build System <autodist@openmamba.org> 24.02.1-1mamba
- automatic version update by autodist

* Wed Feb 28 2024 Automatic Build System <autodist@openmamba.org> 24.02.0-1mamba
- automatic version update by autodist

* Thu Feb 15 2024 Automatic Build System <autodist@openmamba.org> 23.08.5-1mamba
- automatic version update by autodist

* Fri Dec 08 2023 Automatic Build System <autodist@mambasoft.it> 23.08.4-1mamba
- automatic version update by autodist

* Thu Nov 09 2023 Automatic Build System <autodist@mambasoft.it> 23.08.3-1mamba
- automatic version update by autodist

* Thu Oct 12 2023 Automatic Build System <autodist@mambasoft.it> 23.08.2-1mamba
- automatic version update by autodist

* Thu Sep 14 2023 Automatic Build System <autodist@mambasoft.it> 23.08.1-1mamba
- automatic version update by autodist

* Fri Aug 25 2023 Automatic Build System <autodist@mambasoft.it> 23.08.0-1mamba
- automatic version update by autodist

* Fri Jul 07 2023 Automatic Build System <autodist@mambasoft.it> 23.04.3-1mamba
- automatic version update by autodist

* Fri Jun 09 2023 Automatic Build System <autodist@mambasoft.it> 23.04.2-1mamba
- automatic version update by autodist

* Thu May 11 2023 Automatic Build System <autodist@mambasoft.it> 23.04.1-1mamba
- automatic version update by autodist

* Thu Apr 20 2023 Automatic Build System <autodist@mambasoft.it> 23.04.0-1mamba
- automatic version update by autodist

* Fri Mar 03 2023 Automatic Build System <autodist@mambasoft.it> 22.12.3-1mamba
- automatic version update by autodist

* Fri Feb 03 2023 Automatic Build System <autodist@mambasoft.it> 22.12.2-1mamba
- automatic version update by autodist

* Thu Jan 05 2023 Automatic Build System <autodist@mambasoft.it> 22.12.1-1mamba
- automatic version update by autodist

* Thu Dec 08 2022 Automatic Build System <autodist@mambasoft.it> 22.12.0-1mamba
- automatic version update by autodist

* Sun Dec 04 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 22.08.3-2mamba
- rebuilt with qt5-qtbase 5.15.7.20221110git.5125862

* Fri Nov 04 2022 Automatic Build System <autodist@mambasoft.it> 22.08.3-1mamba
- automatic version update by autodist

* Fri Oct 14 2022 Automatic Build System <autodist@mambasoft.it> 22.08.2-1mamba
- automatic version update by autodist

* Thu Sep 08 2022 Automatic Build System <autodist@mambasoft.it> 22.08.1-1mamba
- automatic version update by autodist

* Thu Aug 18 2022 Automatic Build System <autodist@mambasoft.it> 22.08.0-1mamba
- automatic version update by autodist

* Fri Jul 08 2022 Automatic Build System <autodist@mambasoft.it> 22.04.3-1mamba
- automatic version update by autodist

* Mon Jun 13 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 22.04.2-1mamba
- package created using the webbuild interface
